Name:           slirp4netns
Version:        1.1.12
Release:        %mkrel 2
Summary:        User-mode networking for unprivileged network namespaces
License:        GPLv2 AND MIT AND BSD-2-Clause
Group:          System/Configuration
URL:            https://github.com/rootless-containers/slirp4netns
Source0:        https://github.com/rootless-containers/slirp4netns/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  go-md2man
BuildRequires:  libcap-devel
BuildRequires:  libseccomp-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(slirp)
BuildRequires:  make

%description
slirp for network namespaces, without copying buffers across the namespaces.

%prep
%setup -q

%build
./autogen.sh
%configure
%make_build
%make_build generate-man

%install
%make_install install-man

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.12-2.mga10
+ Revision: 2211680
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 joequant <joequant> 1.1.12-1.mga9
+ Revision: 1829681
- update to 1.1.12

* Sun Mar 27 2022 umeabot <umeabot> 1.1.8-2.mga9
+ Revision: 1829475
- Mageia 9 Mass Rebuild

* Sun Jan 31 2021 joequant <joequant> 1.1.8-1.mga8
+ Revision: 1674258
- update to 1.1.8 to fix podman hang

* Fri Jul 17 2020 daviddavid <daviddavid> 1.1.4-1.mga8
+ Revision: 1606698
- new version: 1.1.4 (fixes mga#26963)

* Tue May 12 2020 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1583332
- new version: 1.0.1
- use now system libslirp so it fixes CVE-2020-1983 (mga#26588)

* Sat Apr 04 2020 joequant <joequant> 0.4.4-1.mga8
+ Revision: 1564595
- imported package slirp4netns

